Aller au contenu principal

Voir les messages

Cette espace vous permet de voir toutes les Voir les messages réalisées par ce membre. Vous ne pouvez voir que les Voir les messages réalisées dans les espaces auxquels vous avez accès.

Messages - guiv

2
Programmes et logiciels / problème de mise à jour Leap 15.3
Bonjour à tous

Tentative de mise à jour Leap 15.3, et échec du fait d'une dépendance non résolue : yast2-them-oxygen 4.3.8 requiert yast2-branding 4.3.8 qui ne peut pas être fourni. Problème présent depuis quelques jours.

Bon, je veux bien croire que le thème "oxygen" ne soit plus maintenu (à supposer que cela soit l'explication?), mais est-ce que pour autant je peux supprimer le package "yast2-them-oxygen" ? Ca devrait résoudre le problème de dépendance. Sur le fond ça ne me dérange pas, et au moins ça débloquerait les mises à jour.
Je précise qu'il s'agit d'une machine familiale, donc multi-utilisateurs, et que je ne sais pas comment chacun a configuré son thème... Et j'aimerais si possible éviter que certains utilisateurs aient une surprise désagréable à l'ouverture de session ! Que pourrait-il se passer si le thème sélectionné n'est plus installé ?
Par ailleurs, suis-je le seul à avoir le problème ?
4
Général / Re : btrfs: question n° 2
Sauf erreur de ma part, "timeline" c'est juste qu'il fait une snapshot de temps en temps, en gros toutes les heures. Pas sûr de savoir exactement pourquoi, ni même s'il ne fait pas un peu de ménage tout seul (sur ma tumbleweed je n'ai pas ces "timeline"). Il faudrait que je vérifie sur Leap, je crois qu'il ne les garde pas toutes.
Jamais bien compris le pourquoi de ces timeline, mais bon ça ne prend pas de place (vérifiable avec "snapper --iso list"). C'est juste un peu plus long quand on veut faire du ménage !
Jamais bien compris non plus le "important=no". J'ai une snapshot comme ça quand j'ouvre Yast/installer des logiciels, et que je n'installe finalement rien. Là je veux bien comprendre que cette snap n'est pas "important".
En revanche, à chaque "zypper dup" sur tumbleweed j'ai bien 2 snapshots "important=yes", une "pre" et une "post". Et ça c'est quand même vachement pratique ! Il m'est arrivé d'avoir des mauvaises surprises suite à "zypper dup", et dans ce cas pouvoir redémarrer sur la snap juste avant c'est un confort incroyable.
5
Installation et boot / plus de réseau après upgrade en 15.3
Upgrade de 15.2 à 15.3 avec zypper dup... plus de connexion réseau. Mais alors plus du tout.
Pas de wifi, ça encore je veux bien, c'est un vieux portable il faut probablement retrouver le driver. Mais plus de connexion Ethernet filaire non plus  :o ?! Tout le ''zypper dup' (quelques Go) est pourtant passé par là.

Là, ça m'a laissé perplexe pendant un bon moment. Parce qu'une machine déconnectée de tout, c'est assez délicat à manoeuvrer.
J'ai fini par m'en sortir avec :
lspci -v
Qui m'a permis d'identifier le module associé à l'interface réseau filaire, puis
modprobe r8169
Une fois reconnecté, pas bien difficile de retrouver ses petits et le bon paquet pour le wifi. Mais je n'arrive toujours pas à comprendre pourquoi ce module ne se monte plus tout seul... En pratique je n'utilise cette machine qu'en wifi, donc pas bien gênant, mais tout de même j'aimerais comprendre ?!
6
Matériel / Re : scanner HP ne scanne plus en Leap 15.3
C'est fou à quel point ce machin peut être créatif pour se planter. Une autre machine à basculer de 15.2 à 15.3 ce week-end, et encore une fois l'install du plugin foire... et encore une fois avec des symptômes différents. Cette fois: "[Errno 12] cannot allocate memory"
Il va de soi que de la mémoire libre, y en a quelques gigas.

Comme je suis teigneux je suis allé chercher l'instruction qui foire, dans /usr/share/hplip/base/password.py, c'est un problème d'interface avec os.popen:
    if not os_name:
        name = os.popen('lsb_release -i | cut -f 2')
        os_name = name.read().strip()
        name.close()
Bon, contournement débile mais efficace:
    if not os_name:
        os_name = "openSUSE"
Et voilà, on relance 'hp-plugin' et on y arrive. Mais ne me demandez pas pourquoi...
7
Matériel / Re : scanner HP ne scanne plus en Leap 15.3
Je partage l'avis de Chumi, plus le temps passe et plus je fais face à des difficultés avec le matos HP. J'ai dû installer ma première imprimante sur openSUSE 10 (ou même 9?), sans aucune difficulté, et elle a parfaitement supporté toutes les évolutions de la distro pendant une quinzaine d'années !
Le problème que j'avais eu sous Leap 15.2 en octobre 2020 était une dépendance implicite avec un module python 2, alors que python2 n'était déjà plus maintenu depuis janvier 2020... pas super réactifs chez HP

pour Marco48 : il est toujours possible de télécharger un exécutable sur le site de hp. Ca t'installe hplip sur ta machine, la 3.21.4 est dispo.
Bon, après, il faut accepter de lancer un exécutable non signé, sans même un hash de contrôle d'intégrité, et qui demande le mot de passe root à l'exécution. Et quand on essaie de suivre ce qu'il fait, il installe tout plein de dépendances en désactivant explicitement les vérifications de signature. Pas paranoïaque, mais quand même moi j'aime pas trop.
Ou alors télécharger un tarball, qui lui semble venir avec une signature (pas testé)
8
Matériel / Re : scanner HP ne scanne plus en Leap 15.3
Tu as une page de wiki là-dessus :
https://en.opensuse.org/SDB:How_to_set-up_a_HP_printer#Some_devices_require_a_proprietary_HPLIP_plugin
Merci pour le tuyau !
En revanche cette restriction ne correspond pas à mon cas : elle s'applique aux imprimantes USB uniquement, et j'utilise la mienne via le réseau.
L'explication pourrait venir de la réponse à une commande 'hp-check', qui m'informe que Leap 15.3 n'est pas supporté (Leap 15.2 si). Avec au passage une liste de dépendances obligatoires non satisfaites, notamment vers du Qt4 qui n'est plus dans les dépôts.
Avis aux amateurs de Leap et d'imprimante/scanner HP : mieux vaut peut-être attendre un peu avant de monter de version 15.2 vers 15.3 ?
9
Matériel / Re : scanner HP ne scanne plus en Leap 15.3
Bon, 3ème soirée de galère, mais j'y suis arrivé. Au prix d'une réinstall complète de Leap  :(
A force de tenter des trucs, j'ai fini par faire un 'snapper rollback' pour revenir à un état propre. Sauf que... après le rollback, snapper ne voyait plus aucune snapshot, et des snapshots j'en avais un paquet, y compris avant l'upgrade en 15.3
Disque presque plein, plus moyen d'effacer les snapshots... crise, puis réinstall complète.

Après une fresh install 15.3, le scanner ne scanne toujours pas. Manque encore le plugin. La commande 'hp-plugin' échoue lamentablement, prétendument parce que le plugin téléchargé est corrompu. C'est fou à quel point ce machin est créatif pour échouer toujours pour des raisons différentes  >:(
Là, je ressors mon astuce déjà utilisée 2 fois : juste après la fin du téléchargement du plugin dans /home/[user]/.hplip, et juste avant son effacement, j'en fais une copie.
C'est un fichier ".run", donc un petit chmod+x dessus, on l'exécute... et il s'installe  :D



10
Matériel / scanner HP ne scanne plus en Leap 15.3
Sur ce coup-là j'accumule...
Et à chaque fois des erreurs différentes. Ça commence à être fatigant !

Après passage de 15.2 à 15.3 (zypper dup), je ne sais pas pourquoi mais hplip n'était plus installé. Je le réinstalle, l'imprimante revient. Mais pas le scanner, qui me réclame toujours ce fichu plugin.
Quand j'essaie de l'installer avec 'hp-plugin', il plante. Cette fois-ci, la dernière erreur affichée est :
PermissionError: [Errno 13] Permission non accordée: '/bin/sh'

Pourtant, je ne vois pas de pb de permission. En suivant les liens symboliques:
~> ls -l /bin/sh
lrwxrwxrwx 1 root root 11  6 mai   17:22 /bin/sh -> /usr/bin/sh
~> ls -l /usr/bin/sh
lrwxrwxrwx 1 root root 4  6 mai   17:22 /usr/bin/sh -> bash
~> which bash
/usr/bin/bash
~> ls -l /usr/bin/bash
-rwxr-xr-x 1 root root 1012544  6 mai   17:22 /usr/bin/bash

Et même en root:
PermissionError: [Errno 13] Permission denied: '/bin/sh'

Je commence à être franchement à court d'imagination...  :'(
11
Matériel / Re : scanner HP ne scanne plus depuis mise à jour Tumbleweed
Bon alors, problème résolu, mais, comment dire... pas vraiment de manière académique !

1/ récupérer le plugin
Quand on lance Xsane, l'installeur HP propose gentiment de mettre à jour automatiquement le plugin. Puis il le télécharge dans /home/[user]/.hplip, tente de l'installer, échoue, et finalement le supprime. Entre la fin du téléchargement et la suppression se passent quelques courtes secondes pendant lesquelles on peut faire une copie du fichier.
Pas trivial, il m'a fallu plusieurs tentatives

2/ installation
On relance Xsane, l'installeur HP demande à nouveau l'installation du plugin
Sélectionner alors l'option "installer un plugin local (avancé)" plutôt que "télécharger automatiquement (recommandé)"
Là... attention
- si on sélectionne le plugin dans son emplacement initial (/home/[user]/.hplip/hplip-3.20.11-plugin.run), il supprime le fichier et se plaint "fichier non trouvé" (gonflé, quand même  >:( )
- si on renomme le fichier, le bouton "next" est désactivé, pas possible d'aller plus loin  :(
Il faut donc copier le fichier dans un autre répertoire, mais sans le renommer ( :o !?!)
Là on peut cliquer sur "Next" et on voit l'install du plugin commencer. Ca se termine par 2 messages contradictoires indiquant et l'échec et le succès de l'opération. Allez comprendre.
Mais le plugin est installé et le scanner scanne

Décidément, plus ça va et plus hplip regorge de surprises, pas toujours agréables !
12
Matériel / scanner HP ne scanne plus depuis mise à jour Tumbleweed
Il n'y a pas si longtemps que ça (1 ou 2 semaines) mon scanner réseau HP fonctionnait encore sans problème avec Xsane.
Comme cela arrive parfois après des mises à jour, lorsque je lance Xsane il me demande d'installer un plugin... mais cette fois-ci l'installation foire avec un message peu éloquent, du genre "ça marche pas".

Je sais que lorsqu'il télécharge ce plugin il le range dans /home/[user]/.hplip.
En l'occurrence : hplip-3.20.11-plugin.run
En faisant une copie du plugin avant que celui-ci ne soit supprimé, j'arrive à le lancer à la main et à avoir un message d'erreur plus clair, bien que très suprenant : "Error importing HPLIP modules.  Is HPLIP installed?"

Ben oui il est installé, hplip... en version 3.20.11-2.5 d'après Yast. Ca semble cohérent.

J'ai essayé de télécharger la dernière version depuis le site de HP, mais il m'informe que tumbleweed n'est pas supporté.

Une idée ?
J'espère que ça n'est pas encore une histoire de dépendance implicite, j'ai déjà bien ramé sous Leap 15.2...
13
Général / Re : Tumbleweed ne veut plus s'éteindre (Network Manager)
Le lâche contournement, bien que pas très satisfaisant intellectuellement, semble très bien fonctionner.  :)
J'enchaîne les reboots les uns après les autres, dans l'objectif de reconfigurer mes logs en mémoire volatile. Parce que je sais que les avis sont partagés sur la question, mais je suis de ceux qui pensent que les logs verbeux qui fusillent les SSD sont malheureusement une réalité.

Plus de problème de blocage à l'extinction  :))
Mais si déplacer les logs en mémoire non volatile était un jeu d'enfant, dans l'autre sens ça l'est beaucoup moins !
Il ne suffit pas de supprimer la ligne "Storage=persistent" dans /etc/systemd/journald.conf
Pas non plus de la remplacer par "Storage=volatile", conformément au "man journald.conf"
Il faut, en plus de ça, supprimer le répertoire /var/log/journal
ouf !
15
Programmes et logiciels / Re : freecad 0.19 et tumbleweed
D'autres ont manifestement eu le même problème. On me demande sur le forum FreeCAD quel est le moyen de remonter le problème côté OpenSUSE...
De fait, mieux vaudrait ne pas laisser cette version dans les dépôts, si elle s'avère instable dans l'environnement Tumbleweed.
Sauriez-vous comment faire ?